// Felix - non-threading example

#include "CLEye.h"

#define ESC 27
#define SPACE 32

// Main program
int main()
{
	IplImage* frame;
	int numCams;
	int count = 0;
	char key;
	char filename[64];

	//Check if camera connected
	numCams = check_for_camera();
	if (numCams == 0)
	{
		MessageBoxA(NULL,"No PS3Eye Camera(s) Detected","Error", MB_ICONEXCLAMATION);
		return -1;
	}
	
	//open camera
	if(!cam[0]->CreateCamera())
	{
		MessageBoxA(NULL,"Can't Open Camera","Error", MB_ICONEXCLAMATION);
		return -1;
	}

	// GET ASCII CHARACTERS //
	//while((key = cvWaitKey(0)) != ESC)
	//{printf("Key %i\n", key);}

	// Create OpenCV window
	cvNamedWindow(windowName, CV_WINDOW_AUTOSIZE);

	// Wait for key press...
	//		ESC = Exit
	//		SPACE = Take Photo + Save
	printf("Press Esc to Exit\n");
	while((key = cvWaitKey(0)) != ESC)
	{
		switch (key)
		{
			case SPACE: 
				//Get frame and display
  				printf("Get Frame\n");
				frame = cam[0]->GetFrame();
				printf("Display Frame\n");
				cvShowImage(windowName, frame);
	
				// Save Image
				sprintf(filename, "test_image%i.jpg", count);
				printf("Save Image %i\n", count);
				cvSaveImage(filename, frame);
				count++;
	
				break;

			default:;
		}
	}

	// Destroy the allocated OpenCV image
	cvReleaseImage(&pCapImage);
	cam[0]->DestroyCamera();

	// Close cameras
	close_cameras(numCams);

	return 0;
}
